# eric6.Plugins.VcsPlugins.vcsGit.GitBisectLogBrowserDialog

Module implementing a dialog to browse the bisect log history.

### Global Attributes

None

### Classes

GitBisectLogBrowserDialog | Class implementing a dialog to browse the bisect log history.

### Functions

None

## GitBisectLogBrowserDialog

Class implementing a dialog to browse the bisect log history.

### Derived from

QWidget, Ui_GitBisectLogBrowserDialog

### Class Attributes

CommitIdColumn
OperationColumn
SubjectColumn

### Class Methods

None

### Methods

GitBisectLogBrowserDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateLogItem | Private method to generate a bisect log tree entry.
__getLogEntries | Private method to retrieve bisect log entries from the repository.
__initData | Private method to (re-)initialize some data.
__procFinished | Private slot connected to the finished signal.
__processBuffer | Private method to process the buffered output of the git log command.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
__resetUI | Private method to reset the user interface.
__resizeColumnsLog | Private method to resize the log tree columns.
__showError | Private slot to show some error.
closeEvent | Protected slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_refreshButton_clicked | Private slot to refresh the log.
on_sendButton_clicked | Private slot to send the input to the git process.
show | Public slot to show the dialog.
start | Public slot to start the git bisect log command.

### Static Methods

None

#### GitBisectLogBrowserDialog (Constructor)

GitBisectLogBrowserDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  reference to the parent widget (QWidget)

#### GitBisectLogBrowserDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### GitBisectLogBrowserDialog.__generateLogItem

__generateLogItem(commitId, operation, subject)

Private method to generate a bisect log tree entry.

commitId
  commit id info (string)
operation
  bisect operation (string)
subject
  subject of the bisect log entry (string)

Returns:
  reference to the generated item (QTreeWidgetItem)

#### GitBisectLogBrowserDialog.__getLogEntries

__getLogEntries()

Private method to retrieve bisect log entries from the repository.

#### GitBisectLogBrowserDialog.__initData

__initData()

Private method to (re-)initialize some data.

#### GitBisectLogBrowserDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### GitBisectLogBrowserDialog.__processBuffer

__processBuffer()

Private method to process the buffered output of the git log command.

#### GitBisectLogBrowserDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### GitBisectLogBrowserDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process and inserts it into a buffer.

#### GitBisectLogBrowserDialog.__resetUI

__resetUI()

Private method to reset the user interface.

#### GitBisectLogBrowserDialog.__resizeColumnsLog

__resizeColumnsLog()

Private method to resize the log tree columns.

#### GitBisectLogBrowserDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### GitBisectLogBrowserDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### GitBisectLogBrowserDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### GitBisectLogBrowserDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### GitBisectLogBrowserDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### GitBisectLogBrowserDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### GitBisectLogBrowserDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the log.

#### GitBisectLogBrowserDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the git process.

#### GitBisectLogBrowserDialog.show

show()

Public slot to show the dialog.

#### GitBisectLogBrowserDialog.start

start(projectdir)

Public slot to start the git bisect log command.

projectdir
  directory name of the project (string)

Up